Skip to content
Coritan Docs

Organization API: Resource Tags

Every Organization API operation tagged Resource Tags.

View as Markdown

Base URL: https://api.coritan.com/api/v1. Paths below are complete.

To try these requests in the browser, open the interactive Organization API reference.

GET /api/v1/orgs/{org_slug}/tags/sources/{source_type}/{source_id}

Name In Type Required
source_type path string yes
source_id path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
source_type string
source_id string
tags array of string

POST /api/v1/orgs/{org_slug}/tags/sources/{source_type}/{source_id}

Name In Type Required
source_type path string yes
source_id path string yes
org_slug path string yes

application/json (required)

Field Type Required
tag string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
tags array of string

PUT /api/v1/orgs/{org_slug}/tags/sources/{source_type}/{source_id}

Name In Type Required
source_type path string yes
source_id path string yes
org_slug path string yes

application/json (required)

Field Type Required
tags array of string no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
tags array of string

DELETE /api/v1/orgs/{org_slug}/tags/sources/{source_type}/{source_id}/{tag}

Name In Type Required
source_type path string yes
source_id path string yes
tag path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
tags array of string

GET /api/v1/orgs/{org_slug}/tags/vocabulary

Name In Type Required Description
org_slug path string yes
source_type query string yes e.g. org_service, vps, container_server
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Fields of a 200 response:

Field Type
items array of TagVocabularyItem
items[].tag string
items[].resource_count integer
source_type string or null